<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: Map Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMap-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Map Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab97533abb1bfbc82ebaf941bb980163d"><td class="memItemLeft" align="right" valign="top"><a id="ab97533abb1bfbc82ebaf941bb980163d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Map</b> (int startX, int startY, int endX, int endY, int width, int height, int size)</td></tr>
<tr class="separator:ab97533abb1bfbc82ebaf941bb980163d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fa0f393d97be5620085f05f2014f28d"><td class="memItemLeft" align="right" valign="top"><a id="a4fa0f393d97be5620085f05f2014f28d"></a>
std::vector&lt; <a class="el" href="classNode.html">Node</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getAdjacentNodes</b> (const <a class="el" href="classNode.html">Node</a> &amp;node) const</td></tr>
<tr class="separator:a4fa0f393d97be5620085f05f2014f28d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab37b658a35ca0af34ab1281c2c74867b"><td class="memItemLeft" align="right" valign="top"><a id="ab37b658a35ca0af34ab1281c2c74867b"></a>
<a class="el" href="classNode.html">Node</a>&#160;</td><td class="memItemRight" valign="bottom"><b>getStartNode</b> () const</td></tr>
<tr class="separator:ab37b658a35ca0af34ab1281c2c74867b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade82b027bb2f1cbe674f1e53bca5034f"><td class="memItemLeft" align="right" valign="top"><a id="ade82b027bb2f1cbe674f1e53bca5034f"></a>
<a class="el" href="classNode.html">Node</a>&#160;</td><td class="memItemRight" valign="bottom"><b>getEndNode</b> () const</td></tr>
<tr class="separator:ade82b027bb2f1cbe674f1e53bca5034f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78040f1804d9662362ea8b56976ef7f9"><td class="memItemLeft" align="right" valign="top"><a id="a78040f1804d9662362ea8b56976ef7f9"></a>
<a class="el" href="classNode.html">Node</a>&#160;</td><td class="memItemRight" valign="bottom"><b>getNode</b> (unsigned i, unsigned j) const</td></tr>
<tr class="separator:a78040f1804d9662362ea8b56976ef7f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc6ec29c4e95240da010faa65f1ab683"><td class="memItemLeft" align="right" valign="top"><a id="acc6ec29c4e95240da010faa65f1ab683"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setNode</b> (unsigned i, unsigned j, const <a class="el" href="classNode.html">Node</a> &amp;node)</td></tr>
<tr class="separator:acc6ec29c4e95240da010faa65f1ab683"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5acf91429aa51f2b5a6b20910f2bfba"><td class="memItemLeft" align="right" valign="top"><a id="ac5acf91429aa51f2b5a6b20910f2bfba"></a>
std::pair&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getIndices</b> (int x, int y) const</td></tr>
<tr class="separator:ac5acf91429aa51f2b5a6b20910f2bfba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c5c0651fe29fcfda35d650628d5f1a3"><td class="memItemLeft" align="right" valign="top"><a id="a6c5c0651fe29fcfda35d650628d5f1a3"></a>
std::vector&lt; Point &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getNodePolygon</b> (int xPos, int yPos) const</td></tr>
<tr class="separator:a6c5c0651fe29fcfda35d650628d5f1a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade7ead800df537badb2d319dd2a440ed"><td class="memItemLeft" align="right" valign="top"><a id="ade7ead800df537badb2d319dd2a440ed"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:ade7ead800df537badb2d319dd2a440ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e34a23156f9b4cb1441b6e67f448ad"><td class="memItemLeft" align="right" valign="top"><a id="ad0e34a23156f9b4cb1441b6e67f448ad"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ad0e34a23156f9b4cb1441b6e67f448ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Map_8h_source.html">Map.h</a></li>
<li>src/Map.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
